//=================================================================
//
//  Simple library to calculate dBm from the output voltage of an AD8318
//
//  http://elsenaju.info/Rechner/Ausgleichsgerade.htm
//  http://www.xuru.org/rt/PR.asp#Manually
//
//
//	Version 1.7.2
//
//  (c) Dietmar Krause, DL2SBA 2017
//
//  License see https://creativecommons.org/licenses/by/4.0/

#ifndef _AD8318_H
#define _AD8318_H

class AD8318 {
  public:
	/**
	 *  Create a new instance 
	 *  
	 */
    AD8318( void );

	/**
	 *  Convert the raw adc reading to dBm
	 */
	float toPower(uint16_t pX);

	/**
	 *  EEPROM interface
	 */
	void readEEPROM( uint16_t pOffset );
	
	/**
	 *  PROGMEM interface
	 */
	void readPROGMEM( uint16_t pOffset );
	
	
	inline void setOffset(int8_t pOffset) { mOffset = pOffset; };
	
	inline uint16_t getParmSize(void) { return 4; };
    float mK0;
    float mK1;
    float mK2;
    float mK3;
	
	int8_t mOffset;
};


#endif
